Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Class AgentLoggingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.agent.JasException
                  javax.agent.service.ServiceException
                      com.ibm.able.platform.AgentLoggingException

All Implemented Interfaces:
  java.io.Serializable

public class AgentLoggingException
extends javax.agent.service.ServiceException

AgentLoggingException is the generic exception associated with all ABLE platform Agent Logging services.

Since:
  ABLE n.n.n
See Also:
  Serialized Form

Constructor Summary
`AgentLoggingException()` Creates an AgentLoggingException with no message.
`AgentLoggingException(java.lang.String theMessage)` Creates an AgentLoggingException with the specified message.
`AgentLoggingException(java.lang.String theMessage, java.lang.Exception theException)` Creates an AgentLoggingException with the specified message and embedded exception.

Methods inherited from class javax.agent.JasException
`getCause, getMessage, initCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AgentLoggingException

    public AgentLoggingException()

  Creates an AgentLoggingException with no message.

### AgentLoggingException

    public AgentLoggingException(java.lang.String theMessage)

  Creates an AgentLoggingException with the specified message.

Parameters:
  `theMessage` - The detail message.

### AgentLoggingException

    public AgentLoggingException(java.lang.String theMessage,
                                 java.lang.Exception theException)

  Creates an AgentLoggingException with the specified message and embedded exception.

Parameters:
  `theMessage` - The detail message.
  `theException` - The embeddd exception.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005